# openforcefield.topology.TopologyBond

class `openforcefield.topology.``TopologyBond`(bond, topology_molecule)

  A TopologyBond is a lightweight data structure that represents a single openforcefield.topology.molecule.Bond in a Topology. A TopologyBond consists of two references – One to its fully detailed “bond”, an openforcefield.topology.molecule.Bond, and another to its parent “topology_molecule”, which occupies a spot in the parent Topology’s TopologyMolecule list.

  As some systems can be very large, there is no always-existing representation of a TopologyBond. They are created on demand as the user requests them.

  Warning

  This API is experimental and subject to change.

  Attributes
    `atoms`

      Get the TopologyAtoms connected to this TopologyBond.

    `bond`

      Get the reference Bond for this TopologyBond.

    `bond_order`

      Get the order of this TopologyBond.

    `molecule`

      Get the reference Molecule that this TopologyBond belongs to.

    `topology_bond_index`

      Get the index of this bond in its parent Topology.

    `topology_molecule`

      Get the TopologyMolecule that this TopologyBond belongs to.

  Methods

  `from_bson`(serialized) | Instantiate an object from a BSON serialized representation.
  `from_dict`(d) | Static constructor from dictionary representation.
  `from_json`(serialized) | Instantiate an object from a JSON serialized representation.
  `from_messagepack`(serialized) | Instantiate an object from a MessagePack serialized representation.
  `from_pickle`(serialized) | Instantiate an object from a pickle serialized representation.
  `from_toml`(serialized) | Instantiate an object from a TOML serialized representation.
  `from_xml`(serialized) | Instantiate an object from an XML serialized representation.
  `from_yaml`(serialized) | Instantiate from a YAML serialized representation.
  `to_bson`(self) | Return a BSON serialized representation.
  `to_dict`(self) | Convert to dictionary representation.
  `to_json`(self[, indent]) | Return a JSON serialized representation.
  `to_messagepack`(self) | Return a MessagePack representation.
  `to_pickle`(self) | Return a pickle serialized representation.
  `to_toml`(self) | Return a TOML serialized representation.
  `to_xml`(self[, indent]) | Return an XML representation.
  `to_yaml`(self) | Return a YAML serialized representation.

  `__init__`(self, bond, topology_molecule)
    Parameters
      bond An openforcefield.topology.molecule.Bond

        The reference bond.

      topology_molecule An openforcefield.topology.TopologyMolecule

        The TopologyMolecule that this TopologyBond belongs to.

  Methods

  `__init__`(self, bond, topology_molecule) | Parameters
  `from_bson`(serialized) | Instantiate an object from a BSON serialized representation.
  `from_dict`(d) | Static constructor from dictionary representation.
  `from_json`(serialized) | Instantiate an object from a JSON serialized representation.
  `from_messagepack`(serialized) | Instantiate an object from a MessagePack serialized representation.
  `from_pickle`(serialized) | Instantiate an object from a pickle serialized representation.
  `from_toml`(serialized) | Instantiate an object from a TOML serialized representation.
  `from_xml`(serialized) | Instantiate an object from an XML serialized representation.
  `from_yaml`(serialized) | Instantiate from a YAML serialized representation.
  `to_bson`(self) | Return a BSON serialized representation.
  `to_dict`(self) | Convert to dictionary representation.
  `to_json`(self[, indent]) | Return a JSON serialized representation.
  `to_messagepack`(self) | Return a MessagePack representation.
  `to_pickle`(self) | Return a pickle serialized representation.
  `to_toml`(self) | Return a TOML serialized representation.
  `to_xml`(self[, indent]) | Return an XML representation.
  `to_yaml`(self) | Return a YAML serialized representation.

  Attributes

  `atoms` | Get the TopologyAtoms connected to this TopologyBond.
  `bond` | Get the reference Bond for this TopologyBond.
  `bond_order` | Get the order of this TopologyBond.
  `molecule` | Get the reference Molecule that this TopologyBond belongs to.
  `topology_bond_index` | Get the index of this bond in its parent Topology.
  `topology_molecule` | Get the TopologyMolecule that this TopologyBond belongs to.